#include "io.h"

#include "Hardware.h"
#include <cstdio>

void IOWR( uint32_t base, uint32_t REG_CONFIG_OFFSET, uint32_t value ) {
    auto hardware = Hardware::getInstance();
    hardware->write( base, REG_CONFIG_OFFSET, value );
}

uint32_t IORD( uint32_t base, uint32_t REG_CONFIG_OFFSET ) {
    auto hardware = Hardware::getInstance();
    return hardware->read( base, REG_CONFIG_OFFSET );
}

